QR-koder
GET https://gratisqrcode.nl/api/qr-codes/
curl --request GET \
--url 'https://gratisqrcode.nl/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/qr-codes/' \
--header 'Authorization: Bearer {api_key}' \
| Parametere | Detaljer | Beskrivelse |
|---|---|---|
| search | Valgfritt Streng | Søkestrengen. |
| search_by | Valgfritt Streng | Hvilket felt du søker etter. Tillatte verdier er: name. |
| type | Valgfritt Streng | Hvilket felt du søker etter. Tillatte verdier er: gs1_static, barcode, text, url, phone, sms, email, whatsapp, facetime, location, wifi, event, vcard, review, pdf, image, audio, video, multilink, payment_request, coupon, photo_collection, whatsapp_dynamic, landingpage, biolink, app_store. |
| datetime_field | Valgfritt Streng | Tillatte verdier: datetime, last_datetime |
| datetime_start | Valgfritt Streng | Filtrer resultater fra og med dette tidspunktet. Format Y-m-d H:i:s. |
| datetime_end | Valgfritt Streng | Filtrer resultater til og med dette tidspunktet. Format Y-m-d H:i:s. |
| order_by | Valgfritt Streng | Hvilket felt resultatene skal sorteres etter. Tillatte verdier er: qr_code_id, datetime, last_datetime, name, type. |
| order_type | Valgfritt Streng | Sorteringsrekkefølgen for resultatene. Tillatte verdier er: ASC for stigende sortering, og DESC for synkende sortering. |
| page | Valgfritt Heltall | Sidenummeret du vil ha resultater fra. Standard er 1. |
| results_per_page | Valgfritt Heltall | Hvor mange resultater du vil ha per side. Tillatte verdier er: 10, 25, 50, 100, 250, 500, 1000. Standard er 25. |
{
"data": [
{
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://gratisqrcode.nl/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"is_paid": false,
"link_id": null,
"datetime": "2026-08-19 12:29:02",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://gratisqrcode.nl/api/qr-codes?page=1",
"last": "https://gratisqrcode.nl/api/qr-codes?page=1",
"next": null,
"prev": null,
"self": "https://gratisqrcode.nl/api/qr-codes?page=1"
}
}
GET https://gratisqrcode.nl/api/qr-codes/{qr_code_id}
curl --request GET \
--url 'https://gratisqrcode.nl/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "url",
"name": "Example name",
"qr_code": "https://gratisqrcode.nl/uploads/qr_code/example.svg",
"qr_code_logo": null,
"qr_code_background": null,
"settings": {
"foreground_type": "color",
"foreground_color": "#000000",
"background_color": "#ffffff",
"custom_eyes_color": false,
"qr_code_logo_size": 25,
"size": 500,
"margin": 0,
"ecc": "L",
"url": "https://example.com"
...
},
"embedded_data": "https://example.com",
"last_datetime": null,
"is_paid": false,
"link_id": null,
"datetime": "2026-08-19 12:29:02",
}
}
POST https://gratisqrcode.nl/api/qr-codes
| Parametere | Detaljer | Beskrivelse |
|---|---|---|
curl --request POST \
--url 'https://gratisqrcode.nl/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
--url 'https://gratisqrcode.nl/api/qr-codes' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=New York' \
--form 'type=text' \
--form 'text=Hello!' \
{
"data": {
"id": 1
}
}
POST https://gratisqrcode.nl/api/qr-codes/{qr_code_id}
curl --request POST \
--url 'https://gratisqrcode.nl/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
--url 'https://gratisqrcode.nl/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Las Vegas' \
{
"data": {
"id": 1
}
}
DELETE https://gratisqrcode.nl/api/qr-codes/{qr_code_id}
curl --request DELETE \
--url 'https://gratisqrcode.nl/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://gratisqrcode.nl/api/qr-codes/{qr_code_id}' \
--header 'Authorization: Bearer {api_key}' \